﻿Imports System
Imports System.Collections.Generic
Imports System.Linq
Imports System.Runtime.InteropServices
Imports System.Text
Imports System.Threading.Tasks

Friend Module pigpio
    Const libraryPath As String = "libpigpiod_if2.so"
    Public Const PI_INPUT As UInteger = 0
    Public Const PI_OUTPUT As UInteger = 1
    Public Const PI_PUD_UP As UInteger = 0
    Public Const PI_PUD_DOWN As UInteger = 1
    Public Const PI_PUD_OFF As UInteger = 2
    <DllImport(libraryPath)>
    Function pigpio_start(ByVal addrStr As IntPtr, ByVal portStr As IntPtr) As Integer
    End Function
    <DllImport(libraryPath)>
    Function pigpio_stop(ByVal pi As Integer) As Integer
    End Function
    <DllImport(libraryPath)>
    Function set_mode(ByVal pi As Integer, ByVal gpio As UInteger, ByVal mode As UInteger) As Integer
    End Function
    <DllImport(libraryPath)>
    Function gpio_write(ByVal pi As Integer, ByVal gpio As UInteger, ByVal level As UInteger) As Integer
    End Function
    <DllImport(libraryPath)>
    Function gpio_read(ByVal pi As Integer, ByVal gpio As UInteger) As Integer
    End Function
    <DllImport(libraryPath)>
    Function set_pull_up_down(ByVal pi As Integer, ByVal gpio As UInteger, ByVal pud As UInteger) As Integer
    End Function
End Module
