﻿Imports System
Imports System.Collections.Generic
Imports System.Collections.ObjectModel
Imports System.Linq
Imports System.Text
Imports System.Threading.Tasks

Public Module GPIO
    Private ReadOnly _pi As Integer

    Sub New()
        AddHandler AppDomain.CurrentDomain.ProcessExit, AddressOf CurrentDomain_ProcessExit
        _pi = pigpio.pigpio_start(IntPtr.Zero, IntPtr.Zero)
    End Sub

    Private Sub CurrentDomain_ProcessExit(ByVal sender As Object, ByVal e As EventArgs)
        pigpio.pigpio_stop(_pi)
    End Sub

    Private ReadOnly _input04 As Input = New Input(_pi, 4)

    Public ReadOnly Property Input04 As Input
        Get
            Return _input04
        End Get
    End Property

    Private ReadOnly _input05 As Input = New Input(_pi, 5)

    Public ReadOnly Property Input05 As Input
        Get
            Return _input05
        End Get
    End Property

    Private ReadOnly _input06 As Input = New Input(_pi, 6)

    Public ReadOnly Property Input06 As Input
        Get
            Return _input06
        End Get
    End Property

    Private ReadOnly _input07 As Input = New Input(_pi, 7)

    Public ReadOnly Property Input07 As Input
        Get
            Return _input07
        End Get
    End Property

    Private ReadOnly _input08 As Input = New Input(_pi, 8)

    Public ReadOnly Property Input08 As Input
        Get
            Return _input08
        End Get
    End Property

    Private ReadOnly _input09 As Input = New Input(_pi, 9)

    Public ReadOnly Property Input09 As Input
        Get
            Return _input09
        End Get
    End Property

    Private ReadOnly _input10 As Input = New Input(_pi, 10)

    Public ReadOnly Property Input10 As Input
        Get
            Return _input10
        End Get
    End Property

    Private ReadOnly _input11 As Input = New Input(_pi, 11)

    Public ReadOnly Property Input11 As Input
        Get
            Return _input11
        End Get
    End Property

    Private ReadOnly _input12 As Input = New Input(_pi, 12)

    Public ReadOnly Property Input12 As Input
        Get
            Return _input12
        End Get
    End Property

    Private ReadOnly _input13 As Input = New Input(_pi, 13)

    Public ReadOnly Property Input13 As Input
        Get
            Return _input13
        End Get
    End Property

    Private ReadOnly _input16 As Input = New Input(_pi, 16)

    Public ReadOnly Property Input16 As Input
        Get
            Return _input16
        End Get
    End Property

    Private ReadOnly _inputs As Input() = New Input() {_input04, _input05, _input06, _input07, _input08, _input09, _input10, _input11, _input12, _input13, _input16}

    Public ReadOnly Property Inputs As ReadOnlyCollection(Of Input)
        Get
            Return Array.AsReadOnly(_inputs)
        End Get
    End Property

    Private ReadOnly _output17 As Output = New Output(_pi, 17)

    Public ReadOnly Property Output17 As Output
        Get
            Return _output17
        End Get
    End Property

    Private ReadOnly _output18 As Output = New Output(_pi, 18)

    Public ReadOnly Property Output18 As Output
        Get
            Return _output18
        End Get
    End Property

    Private ReadOnly _output19 As Output = New Output(_pi, 19)

    Public ReadOnly Property Output19 As Output
        Get
            Return _output19
        End Get
    End Property

    Private ReadOnly _output20 As Output = New Output(_pi, 20)

    Public ReadOnly Property Output20 As Output
        Get
            Return _output20
        End Get
    End Property

    Private ReadOnly _output21 As Output = New Output(_pi, 21)

    Public ReadOnly Property Output21 As Output
        Get
            Return _output21
        End Get
    End Property

    Private ReadOnly _output22 As Output = New Output(_pi, 22)

    Public ReadOnly Property Output22 As Output
        Get
            Return _output22
        End Get
    End Property

    Private ReadOnly _output23 As Output = New Output(_pi, 23)

    Public ReadOnly Property Output23 As Output
        Get
            Return _output23
        End Get
    End Property

    Private ReadOnly _output24 As Output = New Output(_pi, 24)

    Public ReadOnly Property Output24 As Output
        Get
            Return _output24
        End Get
    End Property

    Private ReadOnly _output25 As Output = New Output(_pi, 25)

    Public ReadOnly Property Output25 As Output
        Get
            Return _output25
        End Get
    End Property

    Private ReadOnly _output26 As Output = New Output(_pi, 26)

    Public ReadOnly Property Output26 As Output
        Get
            Return _output26
        End Get
    End Property

    Private ReadOnly _output27 As Output = New Output(_pi, 27)

    Public ReadOnly Property Output27 As Output
        Get
            Return _output27
        End Get
    End Property

    Private ReadOnly _outputs As Output() = New Output() {_output17, _output18, _output19, _output20, _output21, _output22, _output23, _output24, _output25, _output26, _output27}

    Public ReadOnly Property Outputs As ReadOnlyCollection(Of Output)
        Get
            Return Array.AsReadOnly(_outputs)
        End Get
    End Property
End Module
