﻿Imports System
Imports System.Collections.Generic
Imports System.Linq
Imports System.Text
Imports System.Threading.Tasks

Public Class Input
    Friend Sub New(ByVal pi As Integer, ByVal number As UInteger)
        _pi = pi
        _number = number
        pigpio.set_mode(_pi, _number, pigpio.PI_INPUT)
    End Sub

    Private ReadOnly _pi As Integer
    Private ReadOnly _number As UInteger

    Public ReadOnly Property Number As UInteger
        Get
            Return _number
        End Get
    End Property

    Public ReadOnly Property IsOn As Boolean
        Get
            Return pigpio.gpio_read(_pi, _number) = 1
        End Get
    End Property

    Public ReadOnly Property IsOff As Boolean
        Get
            Return Not IsOn
        End Get
    End Property
End Class
