﻿Imports System
Imports System.Collections.Generic
Imports System.Linq
Imports System.Text
Imports System.Threading.Tasks

Public Class Output
    Friend Sub New(ByVal pi As Integer, ByVal number As UInteger)
        _pi = pi
        _number = number
        pigpio.set_mode(_pi, _number, pigpio.PI_OUTPUT)
        pigpio.set_pull_up_down(_pi, _number, pigpio.PI_PUD_OFF)
    End Sub

    Private ReadOnly _pi As Integer
    Private ReadOnly _number As UInteger

    Public ReadOnly Property Number As UInteger
        Get
            Return _number
        End Get
    End Property

    Public Sub [On]()
        pigpio.gpio_write(_pi, _number, 1)
    End Sub

    Public Sub Off()
        pigpio.gpio_write(_pi, _number, 0)
    End Sub

    Public Property IsOn As Boolean
        Get
            Return pigpio.gpio_read(_pi, _number) = 1
        End Get
        Set(ByVal value As Boolean)

            If value Then
                [On]()
            Else
                Off()
            End If
        End Set
    End Property

    Public Property IsOff As Boolean
        Get
            Return Not IsOn
        End Get
        Set(ByVal value As Boolean)
            IsOn = Not value
        End Set
    End Property
End Class
